Get DApp by ID
curl --request GET \
--url https://api.zerion.io/v1/dapps/{dapp_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.zerion.io/v1/dapps/{dapp_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.zerion.io/v1/dapps/{dapp_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zerion.io/v1/dapps/{dapp_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"links": {
"self": "<string>"
},
"data": {
"type": "dapps",
"id": "<string>",
"attributes": {
"name": "AAVE V3",
"description": "Earn interest, borrow assets, and build applications.",
"icon": {
"url": "https://token-icons.s3.amazonaws.com/0x0391d2021f89dc339f60fff84546ea23e337750f.png"
},
"url": "https://aave.com/",
"manage_positions_url": "https://app.aave.com/",
"external_links": [
{
"url": "https://www.indexcoop.com",
"type": "website",
"name": "Website"
}
]
}
}
}{
"errors": [
{
"title": "Parameter is malformed",
"detail": "Some validation errors will be described here"
}
]
}{
"errors": [
{
"title": "Unauthorized Error",
"detail": "The API key is invalid, please, make sure that you are using a valid key"
}
]
}{
"errors": [
{
"title": "Too many requests",
"detail": "Your request had been throttled"
}
]
}dapps
Get DApp by ID
This endpoint returns single DApp by its unique identifier.
GET
/
v1
/
dapps
/
{dapp_id}
Get DApp by ID
curl --request GET \
--url https://api.zerion.io/v1/dapps/{dapp_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.zerion.io/v1/dapps/{dapp_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.zerion.io/v1/dapps/{dapp_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zerion.io/v1/dapps/{dapp_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"links": {
"self": "<string>"
},
"data": {
"type": "dapps",
"id": "<string>",
"attributes": {
"name": "AAVE V3",
"description": "Earn interest, borrow assets, and build applications.",
"icon": {
"url": "https://token-icons.s3.amazonaws.com/0x0391d2021f89dc339f60fff84546ea23e337750f.png"
},
"url": "https://aave.com/",
"manage_positions_url": "https://app.aave.com/",
"external_links": [
{
"url": "https://www.indexcoop.com",
"type": "website",
"name": "Website"
}
]
}
}
}{
"errors": [
{
"title": "Parameter is malformed",
"detail": "Some validation errors will be described here"
}
]
}{
"errors": [
{
"title": "Unauthorized Error",
"detail": "The API key is invalid, please, make sure that you are using a valid key"
}
]
}{
"errors": [
{
"title": "Too many requests",
"detail": "Your request had been throttled"
}
]
}Authorizations
Path Parameters
DApp's unique identifier
Was this page helpful?
⌘I